Bug 476758

Summary: Review Request: libspiro - Library to simplify the drawing of beautiful curves
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: Package ReviewAssignee: Orcan Ogetbil <oget.fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fonts-bugs, lkundrak, notting, nphilipp, oget.fedora
Target Milestone: ---Flags: oget.fedora: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-18 01:03:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin Fenzi 2008-12-16 23:10:43 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/libspiro/libspiro.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/libspiro/libspiro-20071029-1.fc11.src.rpm
Description: 

This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

Notes: 
- Both fontforge and inkscape can use this library. Testing with either recompiled with this library enabled welcome.

Comment 1 Orcan Ogetbil 2008-12-17 06:29:02 UTC
Well, there is not much to complain about. The package is in very good condition. Just two tiny remarks:

* rpmlint says:
   libspiro-devel.x86_64: W: no-documentation
At the least the license file can go in the %doc of this subpackage. I also think that the README* files would suit the devel subpackage better.

* I suggest you to make use of the %{name} and %{version} macros.

Comment 2 Orcan Ogetbil 2008-12-17 06:35:23 UTC
Well, you can do these changes before you commit. No need to recycle the review process since these are very minor issues.

-------------------------------------------
This package (libspiro) is APPROVED by oget
-------------------------------------------

Comment 3 Kevin Fenzi 2008-12-17 21:41:25 UTC
>* rpmlint says:
>   libspiro-devel.x86_64: W: no-documentation
>At the least the license file can go in the %doc of this subpackage. I also
>think that the README* files would suit the devel subpackage better.

ok. I can put them in both... not a big deal. 

>* I suggest you to make use of the %{name} and %{version} macros.

Sure. Good idea. 

Thanks!

New Package CVS Request
=======================
Package Name: libspiro
Short Description: Library to simplify the drawing of beautiful curves
Owners: kevin
Branches: devel
InitialCC:

Lubomir: If you would like to co-maintain this as your inkscape can use it, feel free to request in pkgdb and I will be happy to approve you.

Comment 4 Kevin Fenzi 2008-12-18 00:38:48 UTC
cvs done.

Comment 5 Kevin Fenzi 2008-12-18 01:03:19 UTC
Thanks for the review!

Built in rawhide...closing this now.

Comment 6 Nils Philippsen 2009-01-28 16:30:23 UTC
Package Change Request
======================
Package Name: libspiro
New Branches: F-9 F-10
Owners: kevin nphilipp

Comment 7 Kevin Fenzi 2009-01-29 00:27:52 UTC
cvs done.